Questions tagged [ubuntu]

Ubuntu is a computer operating system based on the Debian Linux distribution and distributed as free and open source software, using its own desktop environment.

108 questions with no upvoted or accepted answers
Filter by
Sorted by
Tagged with
5
votes
0answers
272 views

Segmentation fault in SAGA GIS

When I try to launch SAGA GIS I get this error: "segmentation fault (core dumped)" How can I solve this problem? I am using Lubuntu 14.04 64-bit.
4
votes
0answers
88 views

Sphere rendering inside out using QGIS on Ubuntu?

I'm trying to use QGIS to show earthquakes around a 3d globe. I changed my CRS to 'Sphere_Van_der_Grinten_I' and it rendered like this: Here's a report from Hardinfo on my system and display: ...
3
votes
0answers
172 views

QGIS 3 downgrade on Ubuntu

I updated to QGIS 3.4 on Ubuntu, but there are some functions that are not working so I want to downgrade. Therefore, I have several questions: How to downgrade or reinstall to some older version ...
3
votes
0answers
198 views

QGIS 3.0.3 (and 3.2.0) crashes on start. Ubuntu 16.04, conda environment

I am trying to QGIS in a conda environment, python 3.6.5, conda 4.5.8, Ubuntu 16.04 Xenial. It crashes upon start-up without even loading all the way. I have tried both QGIS 3.0.3 and 3.2.0 (3.2.0 is ...
3
votes
0answers
289 views

Install a specific nightly version of QGIS 3 on Ubuntu?

Is it possible to install the nightly version of QGIS 3 for a specific date (code version)? I'm working with QGIS 3 development version which recently has some issues with projections and crashes. I ...
3
votes
0answers
474 views

Grid Error – Natural neighbour

I am getting the following Error on using Natural neighbour. There were solutions suggested here & here. But these works fine on Windows but not on Ubuntu. I am using Ubuntu 14.04, QGIS 2.18.4 &...
3
votes
0answers
305 views

Multiple warnings when launching QGIS 2.18 Las Palmas on Ubuntu 16.04

I just installed QGIS 2.18.4 Las Palmas on Ubuntu 16.04 with the UbuntuGIS dependencies. While it seems to be working (for the moment), I get a barrage of warnings when I launch it from the terminal. ...
3
votes
0answers
231 views

Import gSSURGO gridded data to QGIS?

How do I view the gridded data provided by gSSURGO in QGIS? Following the instructions here (File Geodatabase (*.gdb) support in QGIS?), I'm able to import the vector data and tables with no ...
3
votes
0answers
290 views

Python standalone on linux: No module named qgis.core

I am using the Spyder IDE on my Ubuntu LTS 16.04. It does not find the module qgis.core. Therefore I wanted to manually add it to its search path but I do not now where it is located. What is the ...
3
votes
0answers
189 views

Error Compiling GDAL with ESRI FileGeodatabase Support On Ubuntu 16.04

I am attempting to build GDAL in Docker/Ubuntu 16.04 for use in Postgis2.2/OGR_FDW on Postgres 9.6 beta3 using the travis.yml of the 2.1_gcc5.2_sanitize coverage branch as a guide -as there is oddly ...
3
votes
0answers
984 views

QGIS 2.14 fails to install on Ubuntu 14.04

My previously working installation of QGIS 2.14 on Ubuntu 14.04 suddenly failed to start QGIS. I have been trying to reinstall QGIS without success. I have tried several ways to completely uninstall ...
3
votes
0answers
2k views

Error adding GeoServer store from PostGIS

I can't get a connection up when creating a PostGIS-store. GeoServer is running fine on IP:80/GeoServer. PostGIS is running and working fine with PSQL commands Created database/table 'mydb' and '...
3
votes
1answer
1k views

where to copy ST_geometry.so on Linux server?

I run PostgreSQL 9.2 on an Ubuntu server. Through ArcCatalog 10.1 I can connect to the database (although it is empty right now). When trying to "Enable Enterprise Geodatabase" I get the following ...
3
votes
1answer
907 views

gdal_merge.py not found

I'm newbie with Linux and QGIS. I'm using Ubuntu 18.04 LTS and QGIS 3.0 Girona and I can't do mosaic from a raster pile because the following log error message returns: Processing algorithm… ...
2
votes
0answers
113 views

How to tune the performance of Nominatim Reverse Geocoding Application

Running the query directly to the PostgreSQL takes 3-8ms. The PostgreSQL can handle 500 concurrent connections. The Apache server is running on 8 core CPUs. Analyzing the Apache access logs: There are ...
2
votes
0answers
25 views

QGIS does not remember paths to previous projects after restarting computer

I am running QGIS 2.18 on Ubuntu 16.02. After turning on my computer and opening QGIS I see that QGIS will not remember the paths to previously opened projects. I can see a thumbnail of these ...
2
votes
0answers
616 views

How to install filegdb driver with GDAL in linux?

I have been working on GDAL with windows platform but now I require to shift to linux. I have installed GDAL using apt-get install gdal-bin libgdal-dev pip3 install GDAL Now i require support for ...
2
votes
0answers
135 views

GDAL, Geolocation Arrays, and Overflow Error?

I'm trying to use GDAL to create raster images from NOAA GSIP L2 data products. By looking at the provided NetCDF files from NOAA, it appears that geolocation arrays are provided. I tried following ...
2
votes
0answers
187 views

QGIS on Ubuntu hanging at 'save file' dialogue

Whenever I encounter a 'save file' dialogue in QGIS (saving processing results, duplicating a layer, 'save project as'), QGIS hangs entirely for around 60 seconds. I am using QGIS 3.0 on Ubuntu 18....
2
votes
0answers
148 views

How to completely purge QGIS?

I have problems with QGIS 2 crashing and first I tried to purge and reinstall it. So I removed .qgis2 folder from ~/ and did all that apt-get remove --purge qgis etc., so commands like dpkg -l | grep ...
2
votes
1answer
1k views

ST_AsMvt - ERROR: Missing libprotobuf-c

I have updated PostGIS to 2.4.3. Using with Postgresql 9.6 on Ubuntu 14. When I try to select ST_AsMvt(example_geometry) from example_table, I get: ERROR: Missing libprotobuf-c ********** Error ***...
2
votes
0answers
185 views

Get Grass to work in Processing using QGIS 2.18.16 Ubuntu 16.04

Executing a GRASS command in QGIS 2.18.16 via Processing returns the error: This algorithm cannot be run :-( It seems that GRASS is not correctly installed and configured in your system. Please ...
2
votes
0answers
254 views

Geoserver upgrade broken init script

I am using ubuntu 16.04.2 server, I recently upgraded my Geoserver 2.10.5 to 2.12.0. When I was using 2.10.5 everything was working... including the init script. My original update plan was to ...
2
votes
0answers
971 views

Install QGIS LTR on Linux 16.04/Mint 18

I would like to install the current QGIS LTR (2.14.15) under Linux Mint 18. I have followed the QGIS instructions for installing the LTR from the ubuntugis ppa without success. I get the following ...
2
votes
0answers
514 views

QGIS ubuntu Couldn't load SIP module

I am using Ubuntu 16.04 and installed QGIS 2.18 following the official install details QGIS Installers using link Release with ubuntugis dependencies http://qgis.org/ubuntugis. I have python 2.7.12 on ...
2
votes
0answers
386 views

QGIS with GRASS on ubuntu 16.04

Following the advice on Installing QGIS with GRASS plugin on Ubuntu?... I've installed qgis, qgis-plugin-grass, python-qgis, grass-core=6.4.3-3, grass=6.4.3-3, grass-doc=6.4.3-3, grass-gui=6.4.3-3 I ...
2
votes
0answers
301 views

QGIS segmentation fault related to numpy on Ubuntu

I'm running QGIS 2.14 on Ubuntu 14.04 and everything's been working just fine until I upgraded a few Python packages via pip this afternoon. Since doing that, QGIS crashes with a segmentation fault ...
2
votes
0answers
2k views

Error While installing GDAL in Ubuntu 12.04

I am trying to set CartoDB in Ubuntu 12.04. I am trying to install Python dependencies as a part of my installation. I am installing with below commands export CPLUS_INCLUDE_PATH=/usr/include/gdal ...
2
votes
0answers
705 views

What could be making QGIS 2.10 crash when loading a project file?

On QGIS 2.10, running on Ubuntu 15.04 Linux, I have a project file that has a fairly large number of mainly shapefile layers, which gets to 99% on the slider to the right of where it has a message ...
2
votes
0answers
673 views

QGIS Crashes with OpenLayers plugin

I've just updated to QGIS Brighton on Ubuntu 14.04, and I've noticed that when I open Openlayers plugin, in order to load google layers, the whole program suddenly crashes. The only log I see, when ...
2
votes
0answers
499 views

Install php mapscript on ubuntu 12.04 PHP 5.4

I follow this website : http://blog.geoghana.com/2013/06/28/setting-up-lampp-linux-apache-mapserver-php-postgresqlpostgis/ to install mapserver and the php extension on my ubuntu 12.04 64bit and PHP 5....
2
votes
0answers
105 views

Opengeo and Ubuntu memory issue

I was working with LiDAR in Opengeo suite while following the Boundless tutorials (http://workshops.boundlessgeo.com/tutorial-lidar/) In my recent post titled 'LiDAR and Opengeo', I mentioned about ...
2
votes
0answers
466 views

Qgis libqgispython.so failed to load

I am using Qgis 1.8 and Python (on Ubuntu 12.10) for a couple of month now, but today i got suddenly the error Couldn't load Python support library: Cannot load library /usr/lib/qgispython: (/usr/lib/...
1
vote
0answers
18 views

Script PyQGIS without Interface in Ubuntu

please can you help me? I tried many times to do a script of pyqgis but without interface qgis. I use QGIS 3.6.3 and Ubuntu 18.04, does Somebody know do this?
1
vote
1answer
119 views

Install QGIS 3.4 with GRASS support in Ubuntu 18.04

I can install QGIS3.X but cannot run a GRASS process. I get the popup: This algorithm cannot be run :-( GRASS 7 can't be found on this system from a shell. Please install it or configure your ...
1
vote
0answers
19 views

GeoServer GWC seeding in 900913 slower than 4326

Using the integrated GeoWebCahce for GeoServer, I am trying to create a tiled cache for a layergroup and having a problem when trying to seed in EPSG:900913. Even after increasing both the minimal and ...
1
vote
0answers
22 views

Unable to use PyQGIS since python is unable to import qgis libraries

I am using Ubuntu 18.04. I have installed QGIS 3.4.4 Madeira on my laptop. I am learning PyQGIS. I have found these lines of code that I have executed in my terminal but I get a traceback saying that ...
1
vote
0answers
170 views

PostGIS install Ubuntu: GEOS problems

Using apt-get install, I've added the following packages: postgis/bionic-pgdg,now 2.5.1+dfsg-1.pgdg18.04+1 amd64 [installed] postgis-doc/bionic-pgdg,now 2.5.1+dfsg-1.pgdg18.04+1 all [installed,...
1
vote
0answers
118 views

Error on simple standalone script

I want to develop a PyQGIS standalone script only using Ubuntu terminal, so to start I use: from qgis.core import * QgsApplication.setPrefixPath("/path/to/qgis/installation", True) qgs = ...
1
vote
0answers
67 views

Can't select vector layer QGIS Zonal Statistics

I'm running QGIS 3.4.0 on Ubuntu 18.04.1. I have a raster layer and a vector layer from a .shp file in the same CRS. When The window pops up for zonal statistics, I can select my raster layer but ...
1
vote
0answers
219 views

QGIS 3.2 installation error on Ubuntu 16

I am installing QGIS, I added the repository and cleaned my machine of any QGIS Packages, I tried removing and reinstalling qgis-providers but the same issue occurred again (see error-message): ...
1
vote
2answers
316 views

PostGIS 2.5 error while compiling from source on Ubuntu Server 18.04

I'm compiling PostGIS 2.5 from source on Ubuntu Server 18.04 The server had no internet connection due to client requirements, so I've been following PostGIS 2.5.1dev Manual, 2.4. Compiling and ...
1
vote
0answers
48 views

Landsat util error when downloading data

I am having trouble when trying to download data using Landsat util. Using the following command: landsat download LC81710792016253LGN01 I get the following issue: landsat download ...
1
vote
0answers
59 views

QGIS won't save on to SAMBA on Ubuntu

I have a couple of QGIS applications (one 3.2.2-Bonn and one 2.18.9 Las Palmas) running on Ubuntu boxes (both 18.04.1 LTS). Files are loaded from a SAMBA file share and load fine. But when I try to ...
1
vote
1answer
173 views

compile gdal with ESRI FileGDB_API Ubuntu

I'm trying to build GDAL on Ubuntu 16.04 with ESRI FileGDB_API driver support. I've followed the instructions here: https://trac.osgeo.org/gdal/wiki/FileGDB and have attempted to pass the location of ...
1
vote
0answers
17 views

When pressing field calculator icon Ubuntu log out!

I'm having a weird issue, as said in the title when I press the field calculator button the operative system log out. Anyone as experienced this issue? I'm running qgis 2.18 on ubuntu 16.04
1
vote
0answers
45 views

QGIS is closing when I try to load WIKIMaps/BING/GOOGLE maps loading with OpenLayers

I am using QGIS 2.14 on my Ubuntu 16.04.3 LTS. My QGIS(2.14) is closing/quitting when I try to load Wikimaps/BING/GOOGLE maps loading with OpenLayers plugin. How can I rectify this?
1
vote
0answers
397 views

Installing QGIS under Mint 18.2 (Ubuntu 16.04 Xenial)?

The problem Following the instructions from the QGIS page, after the corresponding ppa channels are installed, the command sudo apt-get install qgis fails with a message: The following packages ...
1
vote
0answers
334 views

QGIS3 error Python on launch, Ubuntu 16.4

I installed QGIS3 on ubuntu 16.4. When I launch QGIS I get an error: Impossible de charger PyQt. (Can't load PyQt) Le support Python va être désactivé. (Python support will be deactivate) ...
1
vote
0answers
32 views

CRS recognition broken after updating to Ubuntu 17.10

I recently updated from Ubuntu 16.04 Xenial to Ubuntu 17.10, and it seems to have broken QGIS for me. When I tried to open QGIS, it appeared as uninstalled. Then when I readded the repository (qgis/...